import * as React from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import MaterialIcon from 'react-native-vector-icons/MaterialIcons';
import s from '../../common/locales/strings';
import { useTheme } from '../services/ThemeContext';
export function UserListItem(props) {
    var _a;
    const { userInfo, onClick, onDelete } = props;
    const theme = useTheme();
    const styles = getStyles(theme);
    const handleDelete = () => {
        onDelete(userInfo);
    };
    const handlePress = () => {
        onClick(userInfo);
    };
    return (React.createElement(TouchableOpacity, { style: styles.container, onPress: handlePress },
        React.createElement(View, { style: styles.textComtainer },
            React.createElement(Text, { style: styles.text }, (_a = userInfo.username) !== null && _a !== void 0 ? _a : s.strings.missing_username)),
        React.createElement(TouchableOpacity, { style: styles.iconButtonContainer, onPress: handleDelete },
            React.createElement(MaterialIcon, { style: styles.iconButtonIcon, name: "close", size: theme.rem(1) }))));
}
const getStyles = cacheStyles((theme) => ({
    container: {
        height: theme.rem(2.5),
        width: '100%',
        backgroundColor: theme.modal,
        flexDirection: 'row',
        alignItems: 'center'
    },
    textComtainer: {
        flex: 25,
        height: '100%',
        flexDirection: 'column',
        justifyContent: 'space-around'
    },
    iconButtonContainer: {
        flex: 5,
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'space-around',
        height: '100%'
    },
    iconButtonIcon: {
        color: theme.icon
    },
    text: {
        paddingLeft: theme.rem(1.25),
        color: theme.primaryText,
        backgroundColor: '#fff0',
        fontFamily: theme.fontFaceDefault,
        fontSize: theme.rem(1)
    }
}));
